Subject: bug#72808: 30.0.90; editorconfig doesn't set tab_width to a default value

From: Stefan Monnier <[email-masked]>
Date: Thu, 31 Oct 2024 22:42:31 -0400

forcemerge 72808 72790
thanks

>> The problem is that the .editorconfig file can be shared across users of
>> different editors for a given project. Emacs disagreeing with the
>> standard means that Emacs users will now have to explain to their
>> colleagues why they are introducing a change in a .editorconfig file
>> that the standard says is unnecessary. This is putting me, at least, in
>> an uncomfortable position with non-Emacs users in my team. Additionally,
>> if other editors disagree with the standard for other reasons, we may
>> quickly reach a situation where no content of .editorconfig will suit
>> everyone.
>
> I agree, FWIW.
>
> This makes our .editorconfig support less useful than it could be.  The
> point, to my mind at least, is exactly that users *shouldn't* have to do
> any extra work to get the right settings when opening a new project.  If
> it has a correct .editorconfig file, everything should Just Work (TM).
>
> IOW, the user experience I prefer is not "new project, so now you have
> to send yet another .editorconfig patch".  At $WORK, for example, this
> is complicated by things like which team maintains a given repository,
> how amenable they are likely to be to a seemingly redundant patch to
> improve support for Emacs, etc.  In all likelihood, I will just end up
> creating .dir-locals.el files instead, to avoid the discussion.
>
> If we insist on this, how about adding an option to turn the
> incompatible behaviour off?

Note that in response to the very similar request in bug#73991 (where
I also point out more reasons why I think the EditorConfig spec is just
poorly thought out in this respect), I (reluctantly🙂) installed in
`emacs-30` a patch which should make Emacs behave like Damien expects
for the `.editorconfig` file he provided.

        Stefan